package cn.com.poc.thirdparty.resource.text_in.entity.doc_flow.fileFetchResponse;

import java.util.List;

public class File {
    /**
     * 批次编号
     */
    private String batchNumber;
    /**
     * 文件类别
     */
    private String category;
    /**
     * 子任务信息
     */
    private List<SubFileDetailInfo> childFiles;
    /**
     * 处理结果
     */
    private FileData data;
    private Document document;
    /**
     * 文件格式
     */
    private String format;
    /**
     * 文件ID
     */
    private String id;
    /**
     * 文件名
     */
    private String name;
    /**
     * 文件每页用于渲染的数据。
     * 配合`data.fields`中的`page`和`position`字段，可以准确画出字段在页面上的位置。
     */
    private List<FilePage> pages;
    private long recognitionStatus;
    /**
     * 任务ID
     */
    private String taskid;
    /**
     * 任务类型（0：文件拆分子任务、1:普通任务、2:父任务、3:切图子任务）
     */
    private Long taskType;
    private long verificationStatus;

    public String getBatchNumber() { return batchNumber; }
    public void setBatchNumber(String value) { this.batchNumber = value; }

    public String getCategory() { return category; }
    public void setCategory(String value) { this.category = value; }

    public List<SubFileDetailInfo> getChildFiles() { return childFiles; }
    public void setChildFiles(List<SubFileDetailInfo> value) { this.childFiles = value; }

    public FileData getData() { return data; }
    public void setData(FileData value) { this.data = value; }

    public Document getDocument() { return document; }
    public void setDocument(Document value) { this.document = value; }

    public String getFormat() { return format; }
    public void setFormat(String value) { this.format = value; }

    public String getid() { return id; }
    public void setid(String value) { this.id = value; }

    public String getName() { return name; }
    public void setName(String value) { this.name = value; }

    public List<FilePage> getPages() { return pages; }
    public void setPages(List<FilePage> value) { this.pages = value; }

    public long getRecognitionStatus() { return recognitionStatus; }
    public void setRecognitionStatus(long value) { this.recognitionStatus = value; }

    public String getTaskid() { return taskid; }
    public void setTaskid(String value) { this.taskid = value; }

    public Long getTaskType() { return taskType; }
    public void setTaskType(Long value) { this.taskType = value; }

    public long getVerificationStatus() { return verificationStatus; }
    public void setVerificationStatus(long value) { this.verificationStatus = value; }
}
